/* 
 * Basic Raster Graphics interface to the lcd_graphics_* LCD graphics driver 
 * functions.
 * Vanya A. Sergeev - <vsergeev@gmail.com>
 *
 * font5x7.h header file comes from Procyon AVRlib.
 */

#ifndef _GRAPHICS_H
#define _GRAPHICS_H

#include "font5x7.h"

#define FONT_WIDTH	5
#define FONT_HEIGHT	7
#include "graphics.c"

void g_draw_horizontal_line(unsigned short x, unsigned short y, unsigned short length);
void g_draw_vertical_line(unsigned short x, unsigned short y, unsigned short length);
void g_draw_rectangle(unsigned short x, unsigned short y, unsigned short width, unsigned short height);
void g_draw_char(unsigned short x, unsigned short y, char character);
void g_draw_string(unsigned short x, unsigned short y, const char *str);
void DrawLine(int x1, int y1, int x2, int y2,unsigned char state);
void Circle(int x,int y,int radius,unsigned char state);
extern const int SIN[64];
extern const int COS[64];
#endif
